%global dlrn_nvr 18.6.1-1.20221226014025.c9d467f
%global dlrn 1
%define upstream_version 18.6.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa7475c5f2122fec3f90343223fe3bf5aad1080e4
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-neutron
Version: 18.6.1
Release: 1.20221226014026%{?dist}
Summary:        Puppet module for OpenStack Neutron
License:        ASL 2.0

URL:            https://launchpad.net/puppet-neutron

Source0: 18.6.1-1.20221226014025.c9d467f.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=c9d467f180e7072c97ebf84250499f548bd5f52a
Patch0001: 0001-Add-OVN-Metadata-agent-connection-to-NB-database.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-nova
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet-sysctl
Requires:       puppet-vswitch
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Neutron

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n openstack-neutron-%{upstream_version}

%patch0001 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/neutron/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/neutron/



%files
%{_datadir}/openstack-puppet/modules/neutron/


%changelog
* Mon Jun 05 2023 Jon Schlueter <jschluet@redhat.com> 18.6.1-1.20221226014026
- Add OVN Metadata agent connection to NB database (rhbz#2208948)

* Sun Dec 25 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221226014025.c9d467f
- Update patches
- Remove centos8 wallaby tripleo jobs

* Sun Dec 25 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221226003756.2094101
- Remove centos8 wallaby tripleo jobs

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221109025502.2094101
- Update patches

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221108091309.2094101
- Update patches
- setuptools: Disable auto discovery

* Tue Nov 01 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221102014723.c4e6cde
- Update patches
- Prepare the final wallaby release

* Sat Sep 17 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220917163708.e70d3e6
- Update patches
- ovn: Do not expect the separate plugin package

* Tue Aug 30 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220831003721.181975c
- Update patches
- mlnx: Allow workaround for duplicate resources

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220728031200.9a9bdac
- Update patches

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220727195931.9a9bdac
- [ovn metadata] Add more tunable parameters

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220718134031.9a9bdac
- Update patches
- [ovn metadata] Add more tunable parameters
- ml2+ovn: Add more tunable parameters for OVN DB connections

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220714124816.3bdf311
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220713081753.3bdf311
- Update patches

* Wed Apr 27 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-0.20220428015438.3bdf311
- Update patches
- NSX Plugin: nsx_api_password should be secret

* Wed Apr 27 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-0.20220428002544.a2a67d3
- NSX Plugin: nsx_api_password should be secret

* Fri Apr 15 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-0.20220416022231.a2a67d3
- Update patches
- Add support for oslo.cache options

* Fri Apr 15 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-0.20220416012553.cfbc5c1
- Add support for oslo.cache options

* Wed Apr 06 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-0.20220407024612.cfbc5c1
- Update patches
- Fix the ignored unit test case for dhcp-agent configuration

* Thu Mar 17 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.0-0.20220317185324.7888ba4
- Update patches
- Add centos-9 jobs for wallaby zuul layout

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220217225707.41bcf66
- Update patches

* Thu Feb 10 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220210223052.41bcf66
- Update patches
- Add report_inteval parameter in ml2 baremetal

* Thu Feb 03 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220204013142.c37a733
- Update patches
- Prepare a new Wallaby release

* Sat Jan 22 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.0-0.20220122224021.56d922f
- Update patches
- Add support for [nova] live_migation_events

* Tue Dec 21 2021 OSP Prod Chain <dev-null@redhat.com> 20.0.1-0.20211222001941.a58536a
- Update patches
- Change authentication method for Mellanox sdn controller

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 20.0.0-0.20211112143020.768c15c
- Update patches
- Add support for the resource_provider_default_hypervisor parameter

* Fri Oct 15 2021 OSP Prod Chain <dev-null@redhat.com> 20.0.0-0.20211016003213.bd97629
- Update patches
- Add support for logging service plugin configuration

* Tue Sep 28 2021 OSP Prod Chain <dev-null@redhat.com> 19.4.0-0.20210929005245.2d67a84
- Update patches
- The ha_vrrp_auth_password password should be secret

* Wed Aug 25 2021 OSP Prod Chain <dev-null@redhat.com> 19.2.0-0.20210825090135.8ba26cf
- Update patches
- Get rid of deprecated is_array method

* Fri Aug 20 2021 OSP Prod Chain <dev-null@redhat.com> 19.2.0-0.20210821012836.febbc38
- Update patches
- Add  tripleo-undercloud job

* Thu Jul 22 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210722222553.66f7883
- Update patches
- Add support for healthcheck middleware options

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210604001559.4b2a351
- Update patches
- Set fixture paths for unit tests

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210528160317.543c979
- Update patches
- TripleO: Reduce tempest test scope

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 19.0.0-0.20210528140249.9f80eb2
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 19.0.0-0.20210527091851.9f80eb2
- Update patches
- Fix name of networking-ansible/baremetal package

* Mon May 17 2021 OSP Prod Chain <dev-null@redhat.com> 19.0.0-0.20210517232812.c15b18b
- Update patches
- Escape hyphen in neutron_agent_sriov_numvfs regexp

* Mon Apr 26 2021 OSP Prod Chain <dev-null@redhat.com> 18.4.1-0.20210427023048.db15124
- Update patches
- Fix L3 agent's extensions list

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 18.4.0-1
- Update patches
- Deprecate support for the midonet plugin

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 18.4.0-1
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Update sphinx to the latest version
- Prepare Wallaby RC1
- Add support for oslo_policy/enforce_new_defaults
- Disable unit tests incompatible with Ubuntu Focal

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update supported Ubuntu version to Focal

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update supported Ubuntu version to Focal
- Update supported Ubuntu version to Focal

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update supported Ubuntu version to Focal
- Add puppetlabs-apache to dependencies
- Add support for the oslo_policy/enforce_scope parameter

* Tue Mar 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M3

* Sat Feb 27 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow setting default rbac_policy quota

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace vnic_type_blacklist by vnic_type_prohibit_list

* Mon Feb 01 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove duritong/sysctl dependency

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M2

* Tue Jan 19 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the deprecate neutron::services::vpnass class

* Fri Jan 15 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use yaml instead of json for policy file
- OVN: Deprecate the vif_type option
- OVN: Deprecate the ovn_l3_mode option

* Thu Jan 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Jan 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove support for FUJITSU plugin

* Tue Jan 12 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jan 12 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove support for plumgrid plugin

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate support of networking-cisco

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix typos in comment lines
- Ensure service user passwords are secret
- Deprecate parameters for XenAPI support
- Ensure vnic_type_blacklist is unset by default
- Fix ignored unit test cases
- Deprecate neutron::plugins::cisco
- Deprecate support of Nexus 1000v driver
- Deprecate parameters for FWaaS quotas
- Deprecate parameters for LBaaS quotas
- Support arbitrary configurations for ovs agent and sriov agent

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add OVS bridge_mac_table_size parameter
- Add support for the resource_provider_hypervisors parameter

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M1

* Tue Nov 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure resource_provider_bandwitdhs is unset by default

* Thu Nov 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Build containers for single consumer job

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Thu Nov 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate allow_insecure_clients option

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix outdated files

* Fri Oct 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for the keystone_authtoken/service_type parameter

* Mon Oct 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Wallaby

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate duplicated parameters for vnic_type_blacklist
- Add new classes ovs_driver and sriov_driver
- Cleanup codes for CentOS/RHEL7
- Update comment to fix lint

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include deps class in unit test for sync

* Sat Oct 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include deps class in unit test for postgresql

* Fri Oct 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include deps class in unit test for mysql
- Update master for stable/victoria

* Tue Oct 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare a new release for victoria cut off

* Sat Oct 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add agent/explicitly_egress_direct support

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria RC1

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set openstackdocs_auto_name to use 'project' as name

* Tue Sep 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Puppet Litmus

* Wed Sep 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate neutron_api_config

* Tue Sep 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M3

* Mon Aug 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Do not validate database_connection format
- Use openstack_spec_helper from zuul checkout

* Sat Aug 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use common class to manage apache service in beaker job
- Add mysql_enable_ndb option

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove deprecated firewall_driver

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M2

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove deprecated neutron database params

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Create an independent class for nova notifications

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for notifications to ironic
- Cleanup deprecated domain_id parameters

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for http_retries

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change to relative include

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use relative name for class inclusion

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Nuage: remove check on mechanism driver

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for the interface parameter in authtoken middleware

* Tue Jun 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecated neutron fwaas

* Sat Jun 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M1

* Thu Jun 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update configuration for ovs integration bridge

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update Puppet requirement to >= 6.0.0

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate firewal_driver option in the Neutron's ML2 config

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove puppet-nova from dependencies

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unnecessary puppet-rabbitmq from dependencies

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove password hash generation in each puppet modules

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Victoria

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Add CONTRIBUTING.rst

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump reno to 2.5.0

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS8 to nodesets

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use anchor to require necessary packages/services
- Add missing dependencies about ml2 plugins

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate support for FUJITSU plugin
- Deprecate support for Arista plugin
- Deprecate support for plumgrid plugin

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Runs on Debian 10.

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump openstackdocstheme to 1.30.0
- Fix rabbitmq version in metadata

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change rpsec to rspec

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/ussuri

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate neutron::agents::l3::gateway_external_network_id

* Sat Apr 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri RC1

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate domain_id parameters

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Refer keystone_authtoken instead of neutron to detect region

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for resource provider bandwidth in Neutron config

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3 again
- Resolve duplicated requirement names in metadata
- Deprecate parameters for Keystone v2

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use python3-* package on OS with python3 default

* Sat Apr 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate database params in neutron::server

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove idle_timeout option

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate min_pool_size option
- Expect python3 package in CentOS8

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS 8 and Puppet 6 in metadata

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update mysql module to <11.0.0

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use centos-8 standalone puppet parent

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Use centos-8 standalone puppet parent
- Use centos-8 standalone puppet parent

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use centos-8 standalone puppet parent

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add ovs/igmp_snooping_enable support

* Mon Mar 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Force cast bridge mappings as an array

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add 'dnsmasq_enable_addr6_list' option

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Cleanup for python 2.7 drop

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M2
- Remove OVS of_interface
- Deprecate ovsdb_interface
- [OVN] Change the default metadata_workers to 2

* Sat Feb 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add of_connect_timeout and of_request_timeout
- Add OVS of_inactivity_probe parameter
- Add OVS ovsdb_timeout parameter

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove neutron::agents::metadata::metadata_ip

* Wed Jan 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix README

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Remove br-tun check from beaker""
- Revert "Remove br-tun check from beaker"

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix stdlib version in metadata

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M1

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert all class usage to relative names

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add the ability to configure ovn-remote-probe-interval

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add executor_thread_pool_size

* Sat Nov 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add default value for radvd_user option"
- Merge "Add unit test for radvd_user option"
- Add unit test for radvd_user option
- Add default value for radvd_user option

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add missing release note for radvd_user option

* Fri Nov 01 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update the constraints url"
- Update the constraints url

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add agents.l3 "radvd_user" configuration option

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix rabbitmq dependency

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- OVN: Add ovn_emit_need_to_frag configuration option

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/train




